Usages - List By Subscription
구독 전체에서 모든 Azure AI Search 할당량 사용량 목록을 가져옵니다.
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages?api-version=2025-05-01
URI 매개 변수
| Name | In(다음 안에) | 필수 | 형식 | Description |
|---|---|---|---|---|
|
location
|
path | True |
string minLength: 1 |
Azure 지역의 이름입니다. |
|
subscription
|
path | True |
string (uuid) |
대상 구독의 ID입니다. 값은 UUID여야 합니다. |
|
api-version
|
query | True |
string minLength: 1 |
이 작업에 사용할 API 버전입니다. |
요청 헤더
| Name | 필수 | 형식 | Description |
|---|---|---|---|
| x-ms-client-request-id |
string (uuid) |
이 요청을 식별하는 클라이언트에서 생성된 GUID 값입니다. 지정된 경우 요청을 추적하는 방법으로 응답 정보에 포함됩니다. |
응답
| Name | 형식 | Description |
|---|---|---|
| 200 OK |
요청이 성공했습니다. |
|
| Other Status Codes |
예기치 않은 오류 응답입니다. |
보안
azure_auth
Azure Active Directory OAuth2 흐름.
형식:
oauth2
Flow:
implicit
권한 부여 URL:
https://login.microsoftonline.com/common/oauth2/authorize
범위
| Name | Description |
|---|---|
| user_impersonation | 사용자 계정 가장 |
예제
GetQuotaUsagesList
샘플 요청
샘플 응답
{
"nextLink": null,
"value": [
{
"name": {
"localizedValue": "F - Free",
"value": "free"
},
"currentValue": 8,
"id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/free",
"limit": 16,
"unit": "Count"
},
{
"name": {
"localizedValue": "B - Basic",
"value": "basic"
},
"currentValue": 8,
"id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/basic",
"limit": 16,
"unit": "Count"
},
{
"name": {
"localizedValue": "S - Standard",
"value": "standard"
},
"currentValue": 8,
"id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/standard",
"limit": 16,
"unit": "Count"
},
{
"name": {
"localizedValue": "S2 - Standard2",
"value": "standard2"
},
"currentValue": 8,
"id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/standard2",
"limit": 16,
"unit": "Count"
},
{
"name": {
"localizedValue": "S3 - Standard3",
"value": "standard3"
},
"currentValue": 8,
"id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/standard3",
"limit": 16,
"unit": "Count"
},
{
"name": {
"localizedValue": "L1 - Storage Optimized",
"value": "storageOptimizedL1"
},
"currentValue": 8,
"id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/storageOptimizedL1",
"limit": 16,
"unit": "Count"
},
{
"name": {
"localizedValue": "L2 - Storage Optimized",
"value": "storageOptimizedL2"
},
"currentValue": 8,
"id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/storageOptimizedL2",
"limit": 16,
"unit": "Count"
}
]
}
정의
| Name | Description |
|---|---|
|
Cloud |
API 오류에 대한 정보를 포함합니다. |
|
Cloud |
오류 코드 및 메시지를 사용하여 특정 API 오류를 설명합니다. |
|
Quota |
특정 SKU의 할당량 사용량을 설명합니다. |
|
Quota |
SKU 이름 정보, 식별자와 현지화된 디스플레이 이름을 포함합니다. |
|
Quota |
Azure AI Search의 지원되는 모든 SKU에 대한 할당량 사용 정보를 포함하는 응답입니다. |
CloudError
API 오류에 대한 정보를 포함합니다.
| Name | 형식 | Description |
|---|---|---|
| error |
오류 코드 및 메시지를 사용하여 특정 API 오류를 설명합니다. |
|
| message |
string |
오류에 대한 간략한 설명은 무엇이 잘못되었는지를 암시합니다(세부 정보/디버깅 정보는 'error.message' 속성을 참조). |
CloudErrorBody
오류 코드 및 메시지를 사용하여 특정 API 오류를 설명합니다.
| Name | 형식 | Description |
|---|---|---|
| code |
string |
HTTP 상태 코드보다 오류 조건을 보다 정확하게 설명하는 오류 코드입니다. 프로그래밍 방식으로 특정 오류 사례를 처리하는 데 사용할 수 있습니다. |
| details |
이 오류와 관련된 중첩된 오류를 포함합니다. |
|
| message |
string |
오류를 자세히 설명하고 디버깅 정보를 제공하는 메시지입니다. |
| target |
string |
특정 오류의 대상입니다(예: 오류에 있는 속성의 이름). |
QuotaUsageResult
특정 SKU의 할당량 사용량을 설명합니다.
| Name | 형식 | Description |
|---|---|---|
| currentValue |
integer (int32) |
특정 검색 SKU에 대해 현재 사용된 값입니다. |
| id |
string |
Microsoft.Search 공급자에 대한 할당량 사용 SKU 엔드포인트의 리소스 ID입니다. |
| limit |
integer (int32) |
특정 검색 SKU에 대한 할당량 제한입니다. |
| name |
현재 검색 서비스의 SKU 이름 정보. |
|
| unit |
string |
검색 SKU에 대한 측정 단위입니다. |
QuotaUsageResultName
SKU 이름 정보, 식별자와 현지화된 디스플레이 이름을 포함합니다.
| Name | 형식 | Description |
|---|---|---|
| localizedValue |
string |
SKU 이름의 지역화된 문자열 값입니다. |
| value |
string |
Azure AI Search에서 지원하는 SKU 이름입니다. |
QuotaUsagesListResult
Azure AI Search의 지원되는 모든 SKU에 대한 할당량 사용 정보를 포함하는 응답입니다.
| Name | 형식 | Description |
|---|---|---|
| nextLink |
string |
할당량 사용량의 다음 페이지를 쿼리하는 데 사용할 수 있는 요청 URL입니다. 요청된 할당량 사용의 총 수가 최대 페이지 크기를 초과하는 경우 반환됩니다. |
| value |
Azure AI Search에서 지원하는 SKU에 대한 할당량 사용량입니다. |